[PC-BSD Commits] r2992 - in pbibuild/modules/apache22: . overlay-dir overlay-dir/services/apache22

svn at pcbsd.org svn at pcbsd.org
Tue Nov 25 20:02:17 PST 2008


Author: fabry
Date: 2008-11-25 20:02:17 -0800 (Tue, 25 Nov 2008)
New Revision: 2992

Modified:
   pbibuild/modules/apache22/build.sh
   pbibuild/modules/apache22/overlay-dir/PBI.FirstRun.sh
   pbibuild/modules/apache22/overlay-dir/PBI.RemoveScript.sh
   pbibuild/modules/apache22/overlay-dir/PBI.SetupScript.sh
   pbibuild/modules/apache22/overlay-dir/services/apache22/disable.sh
   pbibuild/modules/apache22/overlay-dir/services/apache22/enable.sh
   pbibuild/modules/apache22/overlay-dir/services/apache22/isEnabled.sh
   pbibuild/modules/apache22/overlay-dir/services/apache22/isRunning.sh
   pbibuild/modules/apache22/overlay-dir/services/apache22/restart.sh
   pbibuild/modules/apache22/overlay-dir/services/apache22/service.cfg
   pbibuild/modules/apache22/overlay-dir/services/apache22/start.sh
   pbibuild/modules/apache22/overlay-dir/services/apache22/stop.sh
Log:
reuploading apache22

Modified: pbibuild/modules/apache22/build.sh
===================================================================
--- pbibuild/modules/apache22/build.sh	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/build.sh	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,31 +1,31 @@
-#!/bin/sh
-# PBI building script
-# This will run after your port build is complete
-# Build your PBI here, and exit 0 on success, or exit 1 on failure.
-##############################################################################
-# Available Variables
-#    PBIDIR = The location of where you can populate your PBI directory
-# MODULEDIR = The location of the module directory for this PBI
-#   PORTVER = Version number of the port we used to build
-##############################################################################
-mkdir $PBIDIR/etc/
-cp -r /usr/local/etc/apache22 $PBIDIR/etc/apache22
-
-mkdir -p $PBIDIR/etc/rc.d/
-cp -r /usr/local/etc/rc.d/apache22 $PBIDIR/etc/rc.d/apache22
-cp -r /usr/local/etc/rc.d/htcacheclean $PBIDIR/etc/rc.d/htcacheclean
-
-mkdir $PBIDIR/www/
-cp -r /usr/local/www/apache22 $PBIDIR/www/apache22
-
-mkdir $PBIDIR/libexec/
-cp -r /usr/local/libexec/apache22 $PBIDIR/libexec/apache22
-
-mkdir $PBIDIR/sbin/
-cp /usr/local/sbin/htcacheclean $PBIDIR/sbin/
-cp /usr/local/sbin/htdbm $PBIDIR/sbin/
-cp /usr/local/sbin/htdigest $PBIDIR/sbin/
-cp /usr/local/sbin/htpasswd $PBIDIR/sbin/
-cp /usr/local/sbin/httpd $PBIDIR/sbin/
-cp /usr/local/sbin/httxt2dbm $PBIDIR/sbin/
-
+#!/bin/sh
+# PBI building script
+# This will run after your port build is complete
+# Build your PBI here, and exit 0 on success, or exit 1 on failure.
+##############################################################################
+# Available Variables
+#    PBIDIR = The location of where you can populate your PBI directory
+# MODULEDIR = The location of the module directory for this PBI
+#   PORTVER = Version number of the port we used to build
+##############################################################################
+mkdir $PBIDIR/etc/
+cp -r /usr/local/etc/apache22 $PBIDIR/etc/apache22
+
+mkdir -p $PBIDIR/etc/rc.d/
+cp -r /usr/local/etc/rc.d/apache22 $PBIDIR/etc/rc.d/apache22
+cp -r /usr/local/etc/rc.d/htcacheclean $PBIDIR/etc/rc.d/htcacheclean
+
+mkdir $PBIDIR/www/
+cp -r /usr/local/www/apache22 $PBIDIR/www/apache22
+
+mkdir $PBIDIR/libexec/
+cp -r /usr/local/libexec/apache22 $PBIDIR/libexec/apache22
+
+mkdir $PBIDIR/sbin/
+cp /usr/local/sbin/htcacheclean $PBIDIR/sbin/
+cp /usr/local/sbin/htdbm $PBIDIR/sbin/
+cp /usr/local/sbin/htdigest $PBIDIR/sbin/
+cp /usr/local/sbin/htpasswd $PBIDIR/sbin/
+cp /usr/local/sbin/httpd $PBIDIR/sbin/
+cp /usr/local/sbin/httxt2dbm $PBIDIR/sbin/
+

Modified: pbibuild/modules/apache22/overlay-dir/PBI.FirstRun.sh
===================================================================
--- pbibuild/modules/apache22/overlay-dir/PBI.FirstRun.sh	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/overlay-dir/PBI.FirstRun.sh	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,21 +1,21 @@
-#!/bin/sh
-# Filename: PBI.FirstRun.sh
-# Place any custom installation code here.
-# This script will be run before your program is extracted into
-# /Programs/<ProgNameVer>/
-# ${1} is the directory name.
-# ${2} is the username of person performing install.
-# Return a '2' to halt the PBI installation
-# TIP: 'kdialog' should be used for user interaction. 
-# To interact with the progress dialog echo these flags:
-# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
-# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
-# echo 'MSG: <text>' # Display this text above progress bar
-#########################################
-INSTALLED=`ls /Programs | grep apache22`
-if [ $? = 0 ]
-then
-	kdialog --msgbox "Please remove the previous version of Apache first"
-	exit 2
-fi
-
+#!/bin/sh
+# Filename: PBI.FirstRun.sh
+# Place any custom installation code here.
+# This script will be run before your program is extracted into
+# /Programs/<ProgNameVer>/
+# ${1} is the directory name.
+# ${2} is the username of person performing install.
+# Return a '2' to halt the PBI installation
+# TIP: 'kdialog' should be used for user interaction. 
+# To interact with the progress dialog echo these flags:
+# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
+# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
+# echo 'MSG: <text>' # Display this text above progress bar
+#########################################
+INSTALLED=`ls /Programs | grep apache22`
+if [ $? = 0 ]
+then
+	kdialog --msgbox "Please remove the previous version of Apache first"
+	exit 2
+fi
+

Modified: pbibuild/modules/apache22/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/apache22/overlay-dir/PBI.RemoveScript.sh	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/overlay-dir/PBI.RemoveScript.sh	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,24 +1,24 @@
-#!/bin/sh
-# Filename: PBI.RemoveScript.sh
-# Place any custom removal code here.
-# This script will be run before your program is deleted.
-# ${1} is the directory name.
-# ${2} is the username of person performing the deletion.
-# TIP: 'kdialog' should be used for user interaction. 
-#########################################
-
-/usr/local/etc/rc.d/apache22 stop
-killall -9 httpd
-
-cd /usr/local/sbin
-rm -Rf htcacheclean htdbm        htdigest     htpasswd     httpd        httxt2dbm
-cd-
-
-rm -Rf /PCBSD/Services/apache22
-rm -Rf /usr/local/libexec/apache22
-rm -Rf /usr/local/etc/apache22
-rm -Rf /usr/local/etc/rc.d/apache22
-rm -Rf /usr/local/etc/rc.d/htcacheclean
-
-cat /etc/rc.conf | grep -v "apache22_enable=" > /tmp/.rc.conf
-mv /tmp/.rc.conf /etc/rc.conf
+#!/bin/sh
+# Filename: PBI.RemoveScript.sh
+# Place any custom removal code here.
+# This script will be run before your program is deleted.
+# ${1} is the directory name.
+# ${2} is the username of person performing the deletion.
+# TIP: 'kdialog' should be used for user interaction. 
+#########################################
+
+/usr/local/etc/rc.d/apache22 stop
+killall -9 httpd
+
+cd /usr/local/sbin
+rm -Rf htcacheclean htdbm        htdigest     htpasswd     httpd        httxt2dbm
+cd-
+
+rm -Rf /PCBSD/Services/apache22
+rm -Rf /usr/local/libexec/apache22
+rm -Rf /usr/local/etc/apache22
+rm -Rf /usr/local/etc/rc.d/apache22
+rm -Rf /usr/local/etc/rc.d/htcacheclean
+
+cat /etc/rc.conf | grep -v "apache22_enable=" > /tmp/.rc.conf
+mv /tmp/.rc.conf /etc/rc.conf

Modified: pbibuild/modules/apache22/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/apache22/overlay-dir/PBI.SetupScript.sh	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/overlay-dir/PBI.SetupScript.sh	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,52 +1,52 @@
-#!/bin/sh
-# Filename: PBI.SetupScript.sh
-# Place any custom installation code here.
-# This script will be run after your program is extracted into
-# /Programs/<ProgNameVer>/
-# ${1} is the directory name.
-# ${2} is the username of person performing install.
-# TIP: 'kdialog' should be used for user interaction.
-# To interact with the progress dialog echo these flags:
-# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
-# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
-# echo 'MSG: <text>' # Display this text above progress bar
-#########################################
-
-echo "TOTALSTEPS: 5"
-echo "SETSETPS: 1"
-
-ln -s /Programs/${PROGDIR}/etc/apache22 /usr/local/etc/apache22
-ln -s /Programs/${PROGDIR}/libexec/apache22 /usr/local/libexec/apache22
-ln -s /Programs/${PROGDIR}/services/apache22 /PCBSD/Services/apache22
-ln -s /Programs/${PROGDIR}/etc/rc.d/apache22 /usr/local/etc/rc.d/apache22
-ln -s /Programs/${PROGDIR}/etc/rc.d/htcacheclean /usr/local/etc/rc.d/htcacheclean
-
-ln -s /Programs/${PROGDIR}/sbin/htcacheclean /usr/local/sbin/htcacheclean
-ln -s /Programs/${PROGDIR}/sbin/htdbm /usr/local/sbin/htdbm
-ln -s /Programs/${PROGDIR}/sbin/htdigest /usr/local/sbin/htdigest
-ln -s /Programs/${PROGDIR}/sbin/htpasswd /usr/local/sbin/htpasswd
-ln -s /Programs/${PROGDIR}/sbin/httpd /usr/local/sbin/httpd
-ln -s /Programs/${PROGDIR}/sbin/httxt2dbm /usr/local/sbin/httxt2dbm
-
-
-echo "SETSETPS: 2"
-if [ ! -e "/usr/local/www/apache22" ]
-then
- echo "MSG: Creating Default apache page"
- cp -r /Programs/${PROGDIR}/www/apache22 /usr/local/www/apache22
-fi
-
-echo "SETSETPS: 3"
-echo "MSG: Configurating"
-echo "apache22_enable=\"YES\"" >> /etc/rc.conf
-echo "accf_http_load=\"YES\"" >> /boot/loader.conf
-# perl -pi -e 's,etc/apache22/Includes/\*.conf,/usr/local/etc/apache22/Includes/\*.conf,g' /usr/local/etc/apache22/httpd.conf
-# perl -pi -e 's,Include etc/apache22/extra,Include /usr/local/etc/apache22/extra,g' /usr/local/etc/apache22/httpd.conf
-
-echo "SETSETPS: 4"
-echo "MSG: Starting apache service"
-/usr/local/etc/rc.d/apache22 start
-
-echo "MSG: Finished!"
-echo "SETSETPS: 5"
-
+#!/bin/sh
+# Filename: PBI.SetupScript.sh
+# Place any custom installation code here.
+# This script will be run after your program is extracted into
+# /Programs/<ProgNameVer>/
+# ${1} is the directory name.
+# ${2} is the username of person performing install.
+# TIP: 'kdialog' should be used for user interaction.
+# To interact with the progress dialog echo these flags:
+# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
+# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
+# echo 'MSG: <text>' # Display this text above progress bar
+#########################################
+
+echo "TOTALSTEPS: 5"
+echo "SETSETPS: 1"
+
+ln -s /Programs/${PROGDIR}/etc/apache22 /usr/local/etc/apache22
+ln -s /Programs/${PROGDIR}/libexec/apache22 /usr/local/libexec/apache22
+ln -s /Programs/${PROGDIR}/services/apache22 /PCBSD/Services/apache22
+ln -s /Programs/${PROGDIR}/etc/rc.d/apache22 /usr/local/etc/rc.d/apache22
+ln -s /Programs/${PROGDIR}/etc/rc.d/htcacheclean /usr/local/etc/rc.d/htcacheclean
+
+ln -s /Programs/${PROGDIR}/sbin/htcacheclean /usr/local/sbin/htcacheclean
+ln -s /Programs/${PROGDIR}/sbin/htdbm /usr/local/sbin/htdbm
+ln -s /Programs/${PROGDIR}/sbin/htdigest /usr/local/sbin/htdigest
+ln -s /Programs/${PROGDIR}/sbin/htpasswd /usr/local/sbin/htpasswd
+ln -s /Programs/${PROGDIR}/sbin/httpd /usr/local/sbin/httpd
+ln -s /Programs/${PROGDIR}/sbin/httxt2dbm /usr/local/sbin/httxt2dbm
+
+
+echo "SETSETPS: 2"
+if [ ! -e "/usr/local/www/apache22" ]
+then
+ echo "MSG: Creating Default apache page"
+ cp -r /Programs/${PROGDIR}/www/apache22 /usr/local/www/apache22
+fi
+
+echo "SETSETPS: 3"
+echo "MSG: Configurating"
+echo "apache22_enable=\"YES\"" >> /etc/rc.conf
+echo "accf_http_load=\"YES\"" >> /boot/loader.conf
+# perl -pi -e 's,etc/apache22/Includes/\*.conf,/usr/local/etc/apache22/Includes/\*.conf,g' /usr/local/etc/apache22/httpd.conf
+# perl -pi -e 's,Include etc/apache22/extra,Include /usr/local/etc/apache22/extra,g' /usr/local/etc/apache22/httpd.conf
+
+echo "SETSETPS: 4"
+echo "MSG: Starting apache service"
+/usr/local/etc/rc.d/apache22 start
+
+echo "MSG: Finished!"
+echo "SETSETPS: 5"
+

Modified: pbibuild/modules/apache22/overlay-dir/services/apache22/disable.sh
===================================================================
--- pbibuild/modules/apache22/overlay-dir/services/apache22/disable.sh	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/overlay-dir/services/apache22/disable.sh	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,9 +1,9 @@
-#!/bin/sh
-# This script disables the service at bootup
-# Return 0 on success, or 1 on failure. 
-
-cat /etc/rc.conf | grep -v "apache22_enable=" >/tmp/rc.new
-echo "apache22_enable=\"NO\"" >> /tmp/rc.new
-mv /tmp/rc.new /etc/rc.conf
-
-return 0
+#!/bin/sh
+# This script disables the service at bootup
+# Return 0 on success, or 1 on failure. 
+
+cat /etc/rc.conf | grep -v "apache22_enable=" >/tmp/rc.new
+echo "apache22_enable=\"NO\"" >> /tmp/rc.new
+mv /tmp/rc.new /etc/rc.conf
+
+return 0

Modified: pbibuild/modules/apache22/overlay-dir/services/apache22/enable.sh
===================================================================
--- pbibuild/modules/apache22/overlay-dir/services/apache22/enable.sh	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/overlay-dir/services/apache22/enable.sh	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,9 +1,9 @@
-#!/bin/sh
-# This script enables the service at bootup
-# Return 0 on success, or 1 on failure. 
-
-cat /etc/rc.conf | grep -v "apache22_enable=" >/tmp/rc.new
-echo "apache22_enable=\"YES\"" >> /tmp/rc.new
-mv /tmp/rc.new /etc/rc.conf
-
-return 0
+#!/bin/sh
+# This script enables the service at bootup
+# Return 0 on success, or 1 on failure. 
+
+cat /etc/rc.conf | grep -v "apache22_enable=" >/tmp/rc.new
+echo "apache22_enable=\"YES\"" >> /tmp/rc.new
+mv /tmp/rc.new /etc/rc.conf
+
+return 0

Modified: pbibuild/modules/apache22/overlay-dir/services/apache22/isEnabled.sh
===================================================================
--- pbibuild/modules/apache22/overlay-dir/services/apache22/isEnabled.sh	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/overlay-dir/services/apache22/isEnabled.sh	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,12 +1,12 @@
-#!/bin/sh
-# This script checks if a service is enabled to run at bootup
-# Return a "0" if service is enabled or a "1" if it is disabled
-
-grep 'apache22_enable="YES"' /etc/rc.conf >/dev/null
-if [ "$?" = "0" ]
-then
- return 0
-else 
- return 1
-fi
-
+#!/bin/sh
+# This script checks if a service is enabled to run at bootup
+# Return a "0" if service is enabled or a "1" if it is disabled
+
+grep 'apache22_enable="YES"' /etc/rc.conf >/dev/null
+if [ "$?" = "0" ]
+then
+ return 0
+else 
+ return 1
+fi
+

Modified: pbibuild/modules/apache22/overlay-dir/services/apache22/isRunning.sh
===================================================================
--- pbibuild/modules/apache22/overlay-dir/services/apache22/isRunning.sh	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/overlay-dir/services/apache22/isRunning.sh	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,11 +1,11 @@
-#!/bin/sh
-# This script checks if a service is currently running
-# Return a "0" if the service is running, or a "1" if it is stopped
-ps -x | grep -v "grep" | grep httpd
-if [ "$?" = "0" ]
-then
-  exit 0
-else
-  exit 1
-fi
-
+#!/bin/sh
+# This script checks if a service is currently running
+# Return a "0" if the service is running, or a "1" if it is stopped
+ps -x | grep -v "grep" | grep httpd
+if [ "$?" = "0" ]
+then
+  exit 0
+else
+  exit 1
+fi
+

Modified: pbibuild/modules/apache22/overlay-dir/services/apache22/restart.sh
===================================================================
--- pbibuild/modules/apache22/overlay-dir/services/apache22/restart.sh	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/overlay-dir/services/apache22/restart.sh	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,11 +1,11 @@
-#!/bin/sh
-# This script restarts a currently running service
-# Return a "0" on success, or a "1" on failure
-
-/usr/local/etc/rc.d/apache22 restart
-if [ "$?" = "0" ]
-then
-  exit 0
-else
-  exit 1
-fi
+#!/bin/sh
+# This script restarts a currently running service
+# Return a "0" on success, or a "1" on failure
+
+/usr/local/etc/rc.d/apache22 restart
+if [ "$?" = "0" ]
+then
+  exit 0
+else
+  exit 1
+fi

Modified: pbibuild/modules/apache22/overlay-dir/services/apache22/service.cfg
===================================================================
--- pbibuild/modules/apache22/overlay-dir/services/apache22/service.cfg	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/overlay-dir/services/apache22/service.cfg	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,3 +1,3 @@
-# SSH Service Config File
-name: Apache 2.2
-description: The Apache HTTP Server Project is an effort to develop and maintain an open-source HTTP server for modern operating systems including UNIX and Windows NT. The goal of this project is to provide a secure, efficient and extensible server that provides HTTP services in sync with the current HTTP standards.
+# SSH Service Config File
+name: Apache 2.2
+description: The Apache HTTP Server Project is an effort to develop and maintain an open-source HTTP server for modern operating systems including UNIX and Windows NT. The goal of this project is to provide a secure, efficient and extensible server that provides HTTP services in sync with the current HTTP standards.

Modified: pbibuild/modules/apache22/overlay-dir/services/apache22/start.sh
===================================================================
--- pbibuild/modules/apache22/overlay-dir/services/apache22/start.sh	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/overlay-dir/services/apache22/start.sh	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,12 +1,12 @@
-#!/bin/sh
-# This script starts a stopped service
-# Return 0 on success, or "1" on failure 
-
-/usr/local/etc/rc.d/apache22 start
-if [ "$?" = "0" ]
-then
- return 0
-else
- return 1
-fi
-
+#!/bin/sh
+# This script starts a stopped service
+# Return 0 on success, or "1" on failure 
+
+/usr/local/etc/rc.d/apache22 start
+if [ "$?" = "0" ]
+then
+ return 0
+else
+ return 1
+fi
+

Modified: pbibuild/modules/apache22/overlay-dir/services/apache22/stop.sh
===================================================================
--- pbibuild/modules/apache22/overlay-dir/services/apache22/stop.sh	2008-11-25 22:50:08 UTC (rev 2991)
+++ pbibuild/modules/apache22/overlay-dir/services/apache22/stop.sh	2008-11-26 04:02:17 UTC (rev 2992)
@@ -1,12 +1,12 @@
-#!/bin/sh
-# This script stops a started service
-# Return 0 on success, or "1" on failure 
-
-/usr/local/etc/rc.d/apache22 stop
-if [ "$?" = "0" ]
-then
- return 0
-else
- return 1
-fi
-
+#!/bin/sh
+# This script stops a started service
+# Return 0 on success, or "1" on failure 
+
+/usr/local/etc/rc.d/apache22 stop
+if [ "$?" = "0" ]
+then
+ return 0
+else
+ return 1
+fi
+



More information about the Commits mailing list